tvbrowser.core.filters

## Class ChannelFilterList

- java.lang.Object
- - tvbrowser.core.filters.ChannelFilterList

-     public class ChannelFilterList
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `fireChannelFilterAdded(ChannelFilterComponent filterComponent)`
    `(package private) void` | `fireChannelFilterRemoved(ChannelFilterComponent filterComponent)`
    `(package private) ChannelFilter[]` | `getAvailableChannelFilter()`
    `ChannelFilter` | `getChannelFilterForName(java.lang.String name)`
    `static ChannelFilterList` | `getInstance()`
    `(package private) void` | `registerChannelFilterChangeListener(ChannelFilterChangeListener listener)`
    `(package private) void` | `removeChannelFilter(ChannelFilter filter)`
    `(package private) void` | `unregisterChannelFilterChangeListener(ChannelFilterChangeListener listener)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static final ChannelFilterList getInstance()

    - #### getChannelFilterForName

          public ChannelFilter getChannelFilterForName(java.lang.String name)

    - #### getAvailableChannelFilter

          ChannelFilter[] getAvailableChannelFilter()

    - #### removeChannelFilter

          void removeChannelFilter(ChannelFilter filter)

    - #### registerChannelFilterChangeListener

          void registerChannelFilterChangeListener(ChannelFilterChangeListener listener)

    - #### unregisterChannelFilterChangeListener

          void unregisterChannelFilterChangeListener(ChannelFilterChangeListener listener)

    - #### fireChannelFilterAdded

          void fireChannelFilterAdded(ChannelFilterComponent filterComponent)

    - #### fireChannelFilterRemoved

          void fireChannelFilterRemoved(ChannelFilterComponent filterComponent)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)